<?php
include('includes/header.php'); //contains the essential html opening tags
?>
    <title>Assignment 4&5 Mock Registration Handle Form</title>
</head>
<body>

<?php
    
    #check if name text fields are empty
        //first name text field empty or not
        if (!empty($_POST['first_name'])) { 
            $first_name = $_POST['first_name'];
        } else {
            echo "Please go back and fill out your first name.<br><br>";
        }
        
        //middle name text field empty or not
        if (!empty($_POST['middle_name'])) { 
            $middle_name = $_POST['middle_name'];
        } else {
            echo "Please go back and fill out your middle name.<br><br>";
        }
        
        //last name text field empty or not
        if (!empty($_POST['last_name'])) { 
            $last_name = $_POST['last_name'];
        } else {
            echo "Please go back and fill out your last name.<br><br>";
        }
    
    #check if birthdate drop down list is empty (month, day, and year)
        $month = $_POST['month'];
        $day = $_POST['day'];
        $year = $_POST['year'];
        $birthdate = "$month/$day/$year";
    
        if (($month !== "" && $day !== "" && $year !== "") && (!empty($_POST['month']) && !empty($_POST['day']) && !empty($_POST['year']))){
        } else {
            echo "Please go back and fill out your complete birthdate.<br><br>";
        }
        
    #check if first 2 radio buttons are empty
        //UWM student button empty or not
        if (!empty($_POST['student'])){
            $student = $_POST['student'];
        }else{
            echo "Please go back and identify if you are currently enrolled as a student at UWM or not.<br><br>";
        }
        
        //movie vs tv pref button empty or not
        if (!empty($_POST['mvtv'])){
            $mvtv = $_POST['mvtv'];
        }else{
            echo "Please go back and identify if you prefer movies, television shows, or if you do not have a preference between the two.<br><br>";
        }
    
    #check for set - to see if at least one checkbox is checked or not
        //genres empty or not
        if (isset($_POST['genres'])){
            $genres = $_POST['genres'];
        }else{
            echo "Please go back and mark at least one genre of media you most enjoy.<br><br>";
        }
        
    #check if last 3 radio buttons are empty
        //home vs theater button empty or not
        if (!empty($_POST['hvt'])){
            $hvt = $_POST['hvt'];
        }else{
            echo "Please go back and identify if you prefer to watch media at home or in theater.<br><br>";
        }
        
        //binge vs space out pref button empty or not
        if (!empty($_POST['bvs'])){
            $bvs = $_POST['bvs'];
        }else{
            echo "Please go back and identify if you prefer to binge watch media or space it out.<br><br>";
        }    
        
        //last time watched media button empty or not
        if (!empty($_POST['time'])){
            $time = $_POST['time'];
        }else{
            echo "Please go back and identify when was the last time you watched a movie or television show.<br><br>";
        }
    
    #check for set - to see if at least one checkbox is checked or not
        //experiences empty or not
        if (isset($_POST['experiences'])){
            $experiences = $_POST['experiences'];
        }else{
            echo "Please go back and mark at least one moood to describe your last media viewing experience.<br><br>";
        }
    
    #check if explanation textarea is empty
        if (!empty($_POST['moodreason'])) {
            $moodreason = $_POST['moodreason'];
        } else {
            echo "Please go back and provide an explaination as to why you selected the mood(s) you did, in regards to before and after viewing your last media experience.<br><br>";
        } 
    
    #check if media title text fields are empty
        //last movie title text field empty or not
        if (!empty($_POST['last_movie'])) { 
            $last_movie = $_POST['last_movie'];
        } else {
            echo "Please go back and fill out the title of the last movie you watched.<br><br>";
        }
        
        //last television show title text field empty or not
        if (!empty($_POST['last_tv'])) { 
            $last_tv = $_POST['last_tv'];
        } else {
            echo "Please go back and fill out the title of the last television show you watched.<br><br>";
        }
        
    #check if comments textarea is empty
        if (!empty($_POST['comments'])) {
            $comments = $_POST['comments'];
        } else {
            echo "Please go back and provide a comment.<br><br>";
        }
    

    #overall check
        //if all required fields are filled in, print a thank you message
        if (!empty($_POST['first_name']) && !empty($_POST['middle_name']) && !empty($_POST['last_name']) && !empty($_POST['month']) && !empty($_POST['day']) && !empty($_POST['year']) && !empty($_POST['student']) && !empty($_POST['mvtv']) && !empty($_POST['genres']) && !empty($_POST['hvt']) && !empty($_POST['bvs']) && !empty($_POST['time']) && !empty($_POST['experiences']) && !empty($_POST['last_movie']) && !empty($_POST['last_tv'])) {
            
            echo "<h2>Thank you, $first_name, for telling us about your movie and television show preferences!<br> We appreciate you taking the time to share with us :)</h2><br>";
            echo "<h3>Below is the information you submitted:</h3><br>";
            
            echo "First Name: $first_name<br>";
            echo "Middle Name: $middle_name<br>";
            echo "Last Name: $last_name<br>";
            echo "Birthdate: $birthdate<br>";
            
            if ($student == 'Y'){
                echo "You stated that you were enrolled as a student at UWM.<br>";
            }else{
                echo "You stated that you were not enrolled as a student at UWM.<br>";
            }
           
            if ($mvtv == 'Movies'){
                echo "You stated that you prefer movies.<br><br>";
            }elseif($mvtv == 'TV'){
                echo "You stated that you prefer television shows.<br><br>";
            }else{
                echo "You stated that you have no preference between movies or television shows.<br><br>";
            }
            
            if (isset($genres) && !empty($genres)){
                
                //use of a foreach loop to list each selected checkbox option
                foreach ($genres as $genre){
                    if ($genre == 'Action'){
                        echo "You stated that you enjoy Action media.<br>";
                    }elseif($genre == 'Comedy'){
                        echo "You stated that you enjoy Comedy media.<br>";
                    }elseif($genre == 'Drama'){
                        echo "You stated that you enjoy Drama media.<br>";
                    }elseif($genre == 'Horror'){
                        echo "You stated that you enjoy Horror media.<br>";
                    }else{
                    }}}
            
            if ($hvt == 'Home'){
                echo "You stated that you prefer watching media at home.<br>";
            }else{
                echo "You stated that you prefer watching media in a theater.<br>";
            }
            
            if ($bvs == 'Binge'){
                echo "You stated that you prefer to binge watch media.<br>";
            }else{
                echo "You stated that you prefer to space out the media you watch.<br>";
            }
            
            if ($time == 'Today'){
                echo "You stated that today was the last time you watched a movie or television show.<br><br>";
            }elseif($time == 'Yesterday'){
                echo "You stated that yesterday was the last time you watched a movie or television show.<br><br>";
            }elseif($time == '2to7'){
                echo "You stated that two days to a week ago was the last time you watched a movie or television show.<br><br>";
            }else{
                echo "You stated that over a week ago was the last time you watched a movie or television show.<br><br>";
            }
            
            if (isset($experiences) && !empty($experiences)){
                
                //use of a foreach loop to list each selected checkbox option
                foreach ($experiences as $experience){
                    if ($experience == 'EH'){
                        echo "You stated that you entered your last media viewing experience happy.<br>";
                    }elseif($experience == 'LS'){
                        echo "You stated that you left your last media viewing experience satisfied.<br>";
                    }elseif($experience == 'EC'){
                        echo "You stated that you entered your last media viewing experience with caution.<br>";
                    }elseif($experience == 'LD'){
                        echo "You stated that you left your last media viewing experience disappointed.<br>";
                    }elseif($experience == 'EN'){
                        echo "You stated that you entered your last media viewing experience neutral.<br>";
                    }elseif($experience == 'LN'){
                        echo "You stated that you left your last media viewing experience neutral.<br>";
                    }else{
                    }}}
                    
            echo "<br><br>Explanation of moods: $moodreason<br>";
            
            echo "Title of the last movie I watched: $last_movie<br>";
            echo "Title of the last television show I watched: $last_tv<br>";
            
            echo "<br><br>Additional comments: $comments<br>";
            
            echo "<h3>Feel free to resubmit the form if you find any of the above information to be inaccurate!</h3>";
            echo "<p><button type=\"button\" onclick=\"window.location.href='index.php'\">Resubmit form</button></p>";
        } else {
        //if any input options are left empty, prompt the user to go back and fill out the form
            echo "<h2>Attention! <br> Your form did not submit due to missing information!<br>Please review the above fields that identify themselves as empty!</h2>";
            echo "<h3>In order to submit your form successfully you will need to fill it out again including the information that was missing, please click the button below to do so:</h3>"; 
            echo "<h3><button type=\"button\" onclick=\"window.location.href='index.php'\">Go back!</button></h3>";
        }

/*
Notes for assignment 5:
	#Print out different messages based on user's selection
	if ($infost_240 == 'yes' && $infost_350 == 'yes' && ($infost_410 == 'yes' || $infost_410 =='inprogress')) {
		echo "<p>You are ready to take INFOST 440!</p><br>";
	} elseif ($infost_240 == 'yes' && $infost_350 == 'yes' && $infost_410 == 'no'){
	    echo "<p>Please enroll INFOST 410 this semester at the same time with INFOST 440!</p>";
	} else {  
		echo "<p>You are not ready to take INFOST 440! Please talk to your instructor or consider drop the course.</p>";
	}
	
	#Header and footer?
	<?php include('header.php'); ?>
    <!-- Form handling logic -->
    <?php include('footer.php'); ?>
*/


?>

<?php
include('includes/footer.php'); //contains the basic closing html tags
?>
