<?php
include('includes/header.php'); //contains the essential html opening tags
?>
	<title>Assignment 4&5 Mock Registration Form</title>
</head>
<body>

<!--identification of assignment-->
 <h2>This is Emery Lamke's index.php page for Assignment 4&5. </h2>
        <h3>Below you will find a mock registration form that is handled by php in a seperate file. </h3>
        <h4>The theme of this form is an information request about a person's movie and tv preferences. </h4>

<!-- the form action specifies where data is sent to get processed-->
<!-- the post method specifies that the data will be sent secretly-->
<form action="handle_assignment4and5_form.php" method="post">  

    <!--fieldset creates a group where the form visual content will be kept-->
	<fieldset>
	    
	<!--form introduction-->
	<h4>Hello!<br>Thank you for choosing to share your preferences regarding movies and television shows.<br>Please begin by providing some basic information about yourself: </h4>

    <!--text input (3)-->
	<p>First Name: <input type="text" name="first_name" size="20" maxlength="40"></p>  
	<p>Middle Name: <input type="text" name="middle_name" size="20" maxlength="40"></p>
	<p>Last Name: <input type="text" name="last_name" size="20" maxlength="40"></p>
	
	<!--date drop down list (Month, Day, and Year) that is populated by a PHP array (pages 60-63 in textbook)-->
    <p>Birthdate:
    <select name="month">
        <option value="">Month</option>
        <?php
            $months = ['01' => 'January', '02' => 'February', '03' => 'March', '04' => 'April', '05' => 'May', '06' => 'June', '07' => 'July', '08' => 'August', '09' => 'September', '10' => 'October', '11' => 'November', '12' => 'December'];
            foreach ($months as $key => $value) {
                echo "<option value=\"$key\">$value</option>\n";
            }
        ?>
    </select>
    <select name="day">
        <option value="">Day</option>
        <?php
            $days = ['01' => '1', '02' => '2', '03' => '3', '04' => '4', '05' => '5', '06' => '6', '07' => '7', '08' => '8', '09' => '9', '10' => '10', '11' => '11', '12' => '12', '13' => '13', '14' => '14', '15' => '15', '16' => '16', '17' => '17', '18' => '18', '19' => '19', '20' => '20', '21' => '21', '22' => '22', '23' => '23', '24' => '24', '25' => '25', '26' => '26', '27' => '27', '28' => '28', '29' => '29', '30' => '30', '31' => '31'];
            foreach ($days as $key => $value) {
                echo "<option value=\"$key\">$value</option>\n";
            }
        ?>
    </select>
    <select name="year">
        <option value="">Year</option>
        <?php
            $years = range(1924, 2024);
            foreach ($years as $value) {
                echo "<option value=\"$value\">$value</option>\n";
            }
        ?>
    </select></p>
    
    <!--radio button (2)-->
	<p>Are you currently a student enrolled at the University of Wisconsin Milwaukee?<br>
	    <input type="radio" name="student" value="Y"> Yes 
		<input type="radio" name="student" value="N"> No
		</p>
	<p>Do you prefer to watch movies or television shows?<br>
	    <input type="radio" name="mvtv" value="Movies"> Movies! 
		<input type="radio" name="mvtv" value="TV"> TV Shows!
		<input type="radio" name="mvtv" value="N/A"> No preference
		</p>

	<!--segway text-->
	<h4>Alright!<br>Now since that is out of the way, let's get into the fun stuff!</h4>
	
	<!--checkboxes-->
	<p>What genre(s) of media do you most enjoy? (Select at least one)<br>
    <input type="checkbox" name="genres[]" value="Action"> Action<br>
    <input type="checkbox" name="genres[]" value="Comedy"> Comedy<br>
    <input type="checkbox" name="genres[]" value="Drama"> Drama<br>
    <input type="checkbox" name="genres[]" value="Horror"> Horror<br>
    </p>
    
    
    
    
<!--NEW TO ADD TO HANDLE FORM FOR VALIDATION BELOW-->    
    
    
    <!--radio button (3)-->
    <p>Do you prefer to watch media at home or in a theater?<br>
	    <input type="radio" name="hvt" value="Home"> I prefer my couch 
		<input type="radio" name="hvt" value="Theater"> I prefer to go out
		</p>
    <p>Do you prefer to binge watch media or space it out?<br>
	    <input type="radio" name="bvs" value="Binge"> I want to see as much as possible in one sitting 
		<input type="radio" name="bvs" value="Space"> I want to take my time to soak it all in
		</p>
	<p>About when was the last time you watched a movie or television show?<br>
	    <input type="radio" name="time" value="Today"> Today
		<input type="radio" name="time" value="Yesterday"> Yesterday
		<input type="radio" name="time" value="2to7"> Two days to a week
		<input type="radio" name="time" value="plusweek"> Over a week ago
		</p>
		
	<!--checkboxes-->
	<p>Of the following options, how would you describe your last media viewing experience? (Select at least one)<br>
    <input type="checkbox" name="experiences[]" value="EH"> Entered happy<br>
    <input type="checkbox" name="experiences[]" value="LS"> Left satisfied<br>
    <input type="checkbox" name="experiences[]" value="EC"> Entered with caution<br>
    <input type="checkbox" name="experiences[]" value="LD"> Left disappointed<br>
    <input type="checkbox" name="experiences[]" value="EN"> Entered neutral<br>
    <input type="checkbox" name="experiences[]" value="LN"> Left neutral<br>
    </p>
    
    <!--textarea-->
    <p>Please explain the reasoning behind your moods listed above, in regards to before and after watching the media: <textarea name="moodreason" rows="3" cols="40"></textarea></p>
    
	<!--text input (2)-->
	<p>Title of the last movie I watched: <input type="text" name="last_movie" size="20" maxlength="40"></p>  
	<p>Title of the last television show I watched: <input type="text" name="last_tv" size="20" maxlength="40"></p>


<!--NEW TO ADD TO HANDLE FORM FOR VALIDATION ABOVE-->


    <!--textarea-->
    <p>Additional comments: <textarea name="comments" rows="3" cols="40"></textarea></p>

	</fieldset>

	<p align="center"><input type="submit" name="submit" value="Submit My Form!"></p>

</form>

<?php
include('includes/footer.php'); //contains the basic closing html tags
?>

